
clear 
import excel using WHO_2000_Life-Expectancy-at-60_our_countries_IMPORT.xlsx, firstrow

encode Sex, gen(s)
drop Sex

fre s
/*
					
------------------------------------------------------------------
                     |      Freq.    Percent      Valid       Cum.
---------------------+--------------------------------------------
Valid   1 Both sexes |         25      33.33      33.33      33.33
        2 Female     |         25      33.33      33.33      66.67
        3 Male       |         25      33.33      33.33     100.00
        Total        |         75     100.00     100.00           
------------------------------------------------------------------
   
					
*/

drop DisplayValue

rename NumericValue LE60_
reshape wide LE60_, j(s) i(Country)

lab var LE60_1 "LE60 both sexes"
lab var LE60_2 "LE60 women"
lab var LE60_3 "LE60 men"

/*
adjust the country codes

----------------------------------------------------------------------
                         |      Freq.    Percent      Valid       Cum.
-------------------------+--------------------------------------------
Valid   1  Austria       |          1       3.85       3.85       3.85
        2  Belgium*      |          1       3.85       3.85       7.69
        3  Bulgaria*     |          1       3.85       3.85      11.54
        4  Switzerland   |          1       3.85       3.85      15.38
        7  Denmark       |          1       3.85       3.85      19.23
        8  Estonia*      |          1       3.85       3.85      23.08
        9  Spain         |          1       3.85       3.85      26.92
        10 Finland       |          1       3.85       3.85      30.77
        11 France*       |          1       3.85       3.85      34.62
        12 Great Britain |          1       3.85       3.85      38.46
        13 Hungary*      |          1       3.85       3.85      42.31
        15 Netherlands   |          1       3.85       3.85      46.15
        16 Norway*       |          1       3.85       3.85      50.00
        17 Poland        |          1       3.85       3.85      53.85
        18 Portugal      |          1       3.85       3.85      57.69
        19 Russia*       |          1       3.85       3.85      61.54
        20 Sweden        |          1       3.85       3.85      65.38
        21 Slovenia      |          1       3.85       3.85      69.23
        23 Ukraine       |          1       3.85       3.85      73.08
        25 Romania*      |          1       3.85       3.85      76.92
        26 Lithuania*    |          1       3.85       3.85      80.77
        27 Georgia*      |          1       3.85       3.85      84.62
        28 Latvia        |          1       3.85       3.85      88.46
        29 USA**         |          1       3.85       3.85      92.31
        30 West Germany+ |          1       3.85       3.85      96.15
        31 East Germany+ |          1       3.85       3.85     100.00
        Total            |         26     100.00     100.00           
----------------------------------------------------------------------

*/
gen cntry = .
rename Country country
replace  cntry = 1 if country == "Austria"
replace  cntry = 2 if country == "Belgium"
replace  cntry = 3 if country == "Bulgaria"
replace  cntry = 4 if country == "Switzerland"
replace  cntry = 7 if country == "Denmark"
replace  cntry = 8 if country == "Estonia"
replace  cntry = 9 if country == "Spain"
replace  cntry = 10 if country == "Finland"
replace  cntry = 11 if country == "France"
replace  cntry = 12 if country == "United Kingdom of Great Britain and Northern Ireland"
replace  cntry = 13 if country == "Hungary"
replace  cntry = 15 if country == "Netherlands"
replace  cntry = 16 if country == "Norway"
replace  cntry = 17 if country == "Poland"
replace  cntry = 18 if country == "Portugal"
replace  cntry = 19 if country == "Russian Federation"
replace  cntry = 20 if country == "Sweden"
replace  cntry = 21 if country == "Slovenia"
replace  cntry = 23 if country == "Ukraine"
replace  cntry = 25 if country == "Romania"
replace  cntry = 26 if country == "Lithuania"
replace  cntry = 27 if country == "Georgia"
replace  cntry = 28 if country == "Latvia"
replace  cntry = 29 if country == "United States of America"
replace  cntry = 30 if country == "Germany"

// duplicate germany
gen expand = 2*(cntry==30)
expand expand

replace cntry = 31 in -1

drop expand 

sort cntry

li

rename country cstring
rename cntry country

save WHO_2000_Life-Expectancy-at-60, replace








