/*

Replication files 

Leopold, T., & Skopek, J. (2015). The Demography of Grandparenthood: An International Profile. Social Forces, 94(2), 801–832. https://doi.org/10.1093/sf/sov066

MASTER FILE

*/
* initialise file paths etc.
do init.do 

/*------------------------------------------------------------------------------
// 1) PREPARE RAW DATA 
------------------------------------------------------------------------------*/
* GGS
do 00_preparation_GGS.do
// --> ${prepared}/prepared_ggs.dta

* DEAS
do 00_preparation_DEAS.do
// --> ${prepared}/prepared_deas.dta

* NSFH
do 00_preparation_NSFH.do
// --> ${prepared}/prepared_nsfh.dta

* ESS
do 00_preparation_ESS.do
// --> ${prepared}/prepared_ess.dta

/*------------------------------------------------------------------------------
// 2) Pool data, select samples, and generate transition file 
	  (transition file is used subsequently for all analyses)
------------------------------------------------------------------------------*/

do 01_pooldata.do
// --> ${logdir}/Table_1.xls 
// --> ${prepared}/transitions.dta


/*------------------------------------------------------------------------------
// 3) Substantive analyses
------------------------------------------------------------------------------*/

* Estimate survivor functions for transition to grandparenthood + generate Figure A1 
do 02_GPH_Survivor_functions.do
// --> ${logdir}/Figure_A1_PARTI.pdf
// --> ${logdir}/Figure_A1_PARTII.pdf

* Estimate age at transition to grandparenthood (median and quartile ages)
do 03_GPH_Ages.do 
// --> ${logdir}/Figure_1.pdf
// --> ${logdir}/Table_4.xls

* Grandparenthood in the context of other life course transitions
do 04_GPH_life_course_context.do
// --> ${logdir}/Table_3.smcl [Stata log file] 
// --> ${logdir}/Figure_2.pdf
// --> ${logdir}/Figure_3.pdf


