/*

Replication files 

Leopold, T., & Skopek, J. (2015). The Demography of Grandparenthood: An International Profile. Social Forces, 94(2), 801–832. https://doi.org/10.1093/sf/sov066

SETTINGS

*/
version 14	// Stata 14

clear
set mem 200m
set more off
set varabbrev off

set scheme s2mono


// FILE PATHS 

// Data
global data "../data"

// GGS 
// 1. Germany
global wave1_germany "${data}/GGS/GGS_Wave1_Germany_V.4.1/GGS_Wave1_Germany_V.4.1.dta"
// 2. Austria
global wave1_austria "${data}/GGS/GGS_Wave1_Austria_V.4.1/GGS_Wave1_Austria_V.4.1.dta"
// 3. Bulgaria
global wave1_bulgaria "${data}/GGS/GGS_Wave1_Bulgaria_V.4.1/GGS_Wave1_Bulgaria_V.4.1.dta"
// 4. Estonia
global wave1_estonia "${data}/GGS/GGS_Wave1_Estonia_V.4.1/GGS_Wave1_Estonia_V.4.1.dta"
// 5. France
global wave1_france "${data}/GGS/GGS_Wave1_France_V.4.1/GGS_Wave1_France_V.4.1.dta"
// 6. Georgia
global wave1_georgia "${data}/GGS/GGS_Wave1_Georgia_V.4.1/GGS_Wave1_Georgia_V.4.1.dta"
// 7. Hungary
global wave1_hungary "${data}/GGS/GGS_Wave1_Hungary_V.4.1/GGS_Wave1_Hungary_V.4.1.dta"
// 8. Italy
global wave1_italy "${data}/GGS/GGS_Wave1_Italy_V.4.1/GGS_Wave1_Italy_V.4.1.dta"
// 9. Lithuania
global wave1_lithuania "${data}/GGS/GGS_Wave1_Lithuania_V.4.1/GGS_Wave1_Lithuania_V.4.1.dta"
// 10. Netherlands
global wave1_netherlands "${data}/GGS/GGS_Wave1_Netherlands_V.4.1/GGS_Wave1_Netherlands_V.4.1.dta"
// 11. Romania
global wave1_romania "${data}/GGS/GGS_Wave1_Romania_V.4.1/GGS_Wave1_Romania_V.4.1.dta"
// 12. Russia
global wave1_russia "${data}/GGS/GGS_Wave1_Russia_V.4.1/GGS_Wave1_Russia_V.4.1.dta"
// 13. Belgium
global wave1_belgium "${data}/GGS/GGS_Wave1_Belgium_V.4.1/GGS_Wave1_Belgium_V.4.1.dta"
// 14. Norway
global wave1_norway "${data}/GGS/GGS_Wave1_Norway_V.4.1/GGS_Wave1_Norway_V.4.1.dta"

// DEAS - German Ageing Survey (file path)
glo DEAS "${data}/DEAS"

// NSFH - National Survey of Families and Households
* Wave 1 files 
glo NSFH_wave1 		"${data}/NSFH/wave1/FILES_BADGIR/d1all004.NSDstat/d1all004.NSDstat_F1.dta"
* Wave 2 file 
glo NSFH_wave2main 	"${data}/NSFH/wave2/FILES_BADGIR/w2main/w2main_F1.dta"
* Wave 3 data path
glo NSFH_wave3 		"${data}/NSFH/wave3/STATA"

// ESS (European Social Survey)
glo ESS "${data}/ESS/ESS3e03_4.dta"
glo ESS_Latvia "${data}/ESS/ESS3LVRO.dta"

// Life expectancy data (WHO data)
global lifeexpect "${data}/Life-Expectancy-Data/WHO_2000_Life-Expectancy-at-60.dta"


// Do not edit below! 

// Lower age bound off the sample
global lowerAgeLimit = 60 
global upperAgeLimit = 75 

// Sub-directories

global prepared "./prepared"	// contains prepared data files
global logdir "./log"			// contains results

capt mkdir ${prepared}
capt mkdir ${logdir}
